Package org.apache.storm.perf

## Class StrGenSpoutHdfsBoltTopo

- java.lang.Object
- - org.apache.storm.perf.StrGenSpoutHdfsBoltTopo

-     public class StrGenSpoutHdfsBoltTopo
      extends Object

  This topo helps measure speed of writing to Hdfs.

  Spout generates fixed length random strings.

  Bolt writes to Hdfs.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `StrGenSpoutHdfsBoltTopo.LineWriter` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `BOLT_ID` |
    `static String` | `BOLT_NUM` |
    `static int` | `DEFAULT_BOLT_NUM` |
    `static int` | `DEFAULT_HDFS_BATCH` |
    `static int` | `DEFAULT_SPOUT_NUM` |
    `static String` | `HDFS_BATCH` |
    `static String` | `HDFS_PATH` |
    `static String` | `HDFS_URI` |
    `static String` | `SPOUT_ID` |
    `static String` | `SPOUT_NUM` |
    `static String` | `TOPOLOGY_NAME` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StrGenSpoutHdfsBoltTopo()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `main​(String[] args)` | Spout generates random strings and HDFS bolt writes them to a text file.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SPOUT_NUM

          public static final String SPOUT_NUM

      See Also:
        Constant Field Values

    - #### BOLT_NUM

          public static final String BOLT_NUM

      See Also:
        Constant Field Values

    - #### HDFS_URI

          public static final String HDFS_URI

      See Also:
        Constant Field Values

    - #### HDFS_PATH

          public static final String HDFS_PATH

      See Also:
        Constant Field Values

    - #### HDFS_BATCH

          public static final String HDFS_BATCH

      See Also:
        Constant Field Values

    - #### DEFAULT_SPOUT_NUM

          public static final int DEFAULT_SPOUT_NUM

      See Also:
        Constant Field Values

    - #### DEFAULT_BOLT_NUM

          public static final int DEFAULT_BOLT_NUM

      See Also:
        Constant Field Values

    - #### DEFAULT_HDFS_BATCH

          public static final int DEFAULT_HDFS_BATCH

      See Also:
        Constant Field Values

    - #### TOPOLOGY_NAME

          public static final String TOPOLOGY_NAME

      See Also:
        Constant Field Values

    - #### SPOUT_ID

          public static final String SPOUT_ID

      See Also:
        Constant Field Values

    - #### BOLT_ID

          public static final String BOLT_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### StrGenSpoutHdfsBoltTopo

          public StrGenSpoutHdfsBoltTopo()

  - ### Method Detail

    - #### main

          public static void main​(String[] args)
                           throws Exception

      Spout generates random strings and HDFS bolt writes them to a text file.
      Throws:
        `Exception`